
DROP TABLE IF EXISTS xtnews_comments;
CREATE TABLE xtnews_comments (
  id int(11) NOT NULL auto_increment,
  id_news int(11) NOT NULL default '0',
  nom varchar(20) NOT NULL default '',
  email varchar(90) default NULL,
  commentaire text NOT NULL,
  date int(14) default NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS xtnews_news;
CREATE TABLE xtnews_news (
  id int(11) NOT NULL auto_increment,
  titre varchar(150) NOT NULL default '',
  date_news int(14) default NULL,
  active tinyint(1) NOT NULL default '0',
  texte text NOT NULL,
  source varchar(250) default NULL,
  nm_source varchar(60) default NULL,
  auteur varchar(30) NOT NULL default '',
  aut_email varchar(90) NOT NULL default '',
  date_ajout int(14) default NULL,
  icone varchar(50) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

INSERT INTO xtnews_news VALUES (1, 'Bienvenue sur Xt-news', 1022677140, 1, 'Ce nouveau module de news surpuissant et ultra-simple saura prendre aisment place sur votre site!<br />\r\nNous vous remercions d\\\'avoir choisi notre script. :)', 'http://xteam.tuxfamily.org', 'Tux', 'TyGuS', 'tygus@fr.st', 1029249889, 'smiley_arrow.gif');

DROP TABLE IF EXISTS xtnews_sessions;
CREATE TABLE xtnews_sessions (
  session_id varchar(32) NOT NULL default '',
  user_id varchar(100) NOT NULL default '0',
  session_start int(11) NOT NULL default '0',
  PRIMARY KEY  (session_id),
  UNIQUE KEY session_id (session_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS xtnews_smiley;
CREATE TABLE xtnews_smiley (
  id int(11) NOT NULL auto_increment,
  smiley varchar(10) NOT NULL default '',
  url varchar(90) NOT NULL default '',
  nom varchar(20) default NULL,
  active tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS xtnews_templates;
CREATE TABLE xtnews_templates (
  id varchar(100) NOT NULL default '',
  template text NOT NULL,
  nom varchar(30) NOT NULL default ''
) TYPE=MyISAM;

INSERT INTO xtnews_templates VALUES ('m_news', '-> {VIEW}{TITRE}{/VIEW} : {DATE}\r\n<br>', 'Mini-News');
INSERT INTO xtnews_templates VALUES ('m_header', '', 'Header de la page Mini-News');
INSERT INTO xtnews_templates VALUES ('m_mid', '', 'Milieu de la page Mini-News');
INSERT INTO xtnews_templates VALUES ('m_footer', '', 'Footer de la page Mini-News');
INSERT INTO xtnews_templates VALUES ('a_news', '* {VIEW}{TITRE}{/VIEW} : {DATE}  {TIME}\r\n<br>', 'Archives');
INSERT INTO xtnews_templates VALUES ('a_header', '<html>\r\n<head>\r\n<link rel=\'stylesheet\' href=\'style.css\' type=\'text/css\'>\r\n</head>\r\n<body bgcolor=\'#CFE3E3\'>\r\n<table width=70% cellpadding=0 cellspacing=0 align=center>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n			<col>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#2D7DA7\' align=\'center\' class=tmenu>Archives</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#ABD5D5\'>\r\n				<table width=97% align=center><tr><td class=texte>\r\n<br><br>', 'Header de la page Archives');
INSERT INTO xtnews_templates VALUES ('a_mid', '', 'Milieu de la page Archives');
INSERT INTO xtnews_templates VALUES ('a_footer', '<br><br>\r\n{ARCHIVES}\r\n</td></tr></table>\r\n				</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n      			<td height=1 colspan=3></td>\r\n    		</tr>\r\n  		</table>\r\n</body>\r\n</html>', 'Footer de la page Archives');
INSERT INTO xtnews_templates VALUES ('comment', '<tr>\r\n	<td></td>\r\n	<td bgcolor=\'#99CCCC\' align=left>{AUTEUR} le {DATE}  {TIME}</td>\r\n	<td></td>\r\n</tr>\r\n<tr>\r\n	<td colspan=3  bgcolor=\'#2D7DA7\'></td>\r\n</tr>\r\n<tr>\r\n	<td></td>\r\n	<td><table border=0 width=98%><tr><td class=texte>{TEXTE}</td></tr></table></td>\r\n	<td></td>\r\n</tr>\r\n<tr>\r\n	<td colspan=3  bgcolor=\'#2D7DA7\'></td>\r\n</tr>', 'Commentaire');
INSERT INTO xtnews_templates VALUES ('comment_header', '<link rel=\'stylesheet\' href=\'style.css\' type=\'text/css\'>\r\n<script language=\'Javascript\'>\r\nfunction show_comments(id)\r\n{\r\n	window.open(\'add_comment.php?id_news=\' + id,\'Commentaires\',\'toolbar=0,location=0,directories=0,menuBar=0,resizable=1,scrollbars=yes,width=340,height=355,left=75,top=60\');\r\n}\r\nfunction fermer()\r\n{\r\n	self.close();\r\n}\r\n</script>\r\n<body bgcolor=\'#CFE3E3\'>\r\n<table border=\'0\' width=\'300\' align=\'center\' cellpadding=\'0\' cellspacing=\'0\' class=texte>\r\n	<col width=1 bgcolor=\'#2D7DA7\'>\r\n	<col width=298>\r\n	<col width=1 bgcolor=\'#2D7DA7\'>\r\n	<tr>\r\n		<td bgcolor=\'#2D7DA7\' colspan=3></td>\r\n	</tr>', 'Header des Commentaires');
INSERT INTO xtnews_templates VALUES ('comment_mid', '</table>\r\n<br><br>\r\n<table border=\'0\' width=\'300\' align=\'center\' cellpadding=\'0\' cellspacing=\'0\' class=texte>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n<col width=298>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n<tr>\r\n	<td bgcolor=\'#2D7DA7\' colspan=3></td>\r\n</tr>\r\n<tr>\r\n	<td></td>\r\n	<td align=center class=texte><font size=3 color=black><b>Ecrire un commentaire</b></font></td>\r\n	<td></td>\r\n</tr>\r\n<tr>\r\n	<td colspan=3  bgcolor=\'#2D7DA7\'></td>\r\n</tr>\r\n<tr>\r\n	<td></td>\r\n	<td align=center>', 'Fin des comments, dbut formul');
INSERT INTO xtnews_templates VALUES ('comment_footer', '            </td>\r\n			<td></td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=3  bgcolor=\'#2D7DA7\'></td>\r\n		</tr>\r\n	</table>\r\n	<br><br>', 'Footer des Commentaires');
INSERT INTO xtnews_templates VALUES ('p_header', '<html>\r\n<head>\r\n<link rel=\'stylesheet\' href=\'style.css\' type=\'text/css\'>\r\n<script language=\'javascript\' src=\'javascript.js\'></script>\r\n</head>\r\n<body bgcolor=\'#CFE3E3\'>\r\n<table width=80% cellpadding=0 cellspacing=0 align=center>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n			<col>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#2D7DA7\' align=\'center\' class=tmenu>Soumettre une News</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#ABD5D5\'>\r\n				<table width=97% align=center><tr><td class=texte>\r\n<br><br>', 'Entete soumission News');
INSERT INTO xtnews_templates VALUES ('p_footer', '<br><br>\r\n{ARCHIVES}\r\n</td></tr></table>\r\n				</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n      			<td height=1 colspan=3></td>\r\n    		</tr>\r\n  		</table>\r\n</body>\r\n</html>', 'Footer soumission de News');
INSERT INTO xtnews_templates VALUES ('source', 'Source', 'Texte du lien vers la source');
INSERT INTO xtnews_templates VALUES ('source_header', '-> ', 'Avant le lien source SI il y a');
INSERT INTO xtnews_templates VALUES ('source_footer', ' <-', 'Apres le lien source SI il y a');
INSERT INTO xtnews_templates VALUES ('h_news', '<table width=500 cellpadding=0 cellspacing=0 align=center>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n<col>\r\n<col>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n	<tr>\r\n		<td></td>\r\n   		<td bgcolor=\'#2D7DA7\' align=\'left\' class=texte> {ICON}  <b>{TITRE}</b><br>    par <a href=\'mailto:{EMAIL}\'>{AUTEUR}</a> le {DATE}  {TIME}</td>\r\n		<td bgcolor=\'#2D7DA7\' align=\'right\' class=tmenu>{PRINT}Imprimer la News{/PRINT}  </td>\r\n		<td></td>\r\n 	</tr>\r\n	<tr>\r\n		<td colspan=5></td>\r\n	</tr>\r\n 	<tr>\r\n		<td></td>\r\n   		<td colspan=2 bgcolor=\'#ABD5D5\'>\r\n		<table width=97% align=center><tr><td class=texte>\r\n		{TEXTE}\r\n		<div align=right>{SOURCE} {COMMENTS}{NBCOMMENT} Commentaires{/COMMENTS}</div>\r\n		</td></tr></table>\r\n		</td>\r\n		<td></td>\r\n	</tr>\r\n	<tr>\r\n		<td colspan=4></td>\r\n	</tr>\r\n</table>', 'Preview');
INSERT INTO xtnews_templates VALUES ('h_header', '<link rel=\'stylesheet\' href=\'style.css\' type=\'text/css\'>\r\n<script language=\'Javascript\'>\r\nfunction show_comments(id)\r\n{\r\n	window.open(\'add_comment.php?id_news=\' + id,\'Commentaires\',\'toolbar=0,location=0,directories=0,menuBar=0,resizable=1,scrollbars=yes,width=340,height=355,left=75,top=60\');\r\n}\r\nfunction fermer()\r\n{\r\n	self.close();\r\n}\r\n</script>\r\n<body bgcolor=\'#CFE3E3\'>\r\n<br><br>', 'Header Page de preview');
INSERT INTO xtnews_templates VALUES ('h_footer', '<br><br>\r\n</td></tr></table>\r\n</body>\r\n</html>', 'Footer Page Preview');
INSERT INTO xtnews_templates VALUES ('b_news', '<table width=500 cellpadding=0 cellspacing=0 align=center>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n<col>\r\n<col>\r\n<col width=1 bgcolor=\'#2D7DA7\'>\r\n	<tr>\r\n		<td></td>\r\n   		<td bgcolor=\'#2D7DA7\' align=\'left\' class=texte> {ICON}  <b>{TITRE}</b><br>    par <a href=\'mailto:{EMAIL}\'>{AUTEUR}</a> le {DATE}  {TIME}</td>\r\n		<td bgcolor=\'#2D7DA7\' align=\'right\' class=tmenu>{PRINT}Imprimer la News{/PRINT}  </td>\r\n		<td></td>\r\n 	</tr>\r\n	<tr>\r\n		<td colspan=5></td>\r\n	</tr>\r\n 	<tr>\r\n		<td></td>\r\n   		<td colspan=2 bgcolor=\'#ABD5D5\'>\r\n		<table width=97% align=center><tr><td class=texte>\r\n		{TEXTE}\r\n		<div align=right>{SOURCE} {COMMENTS}{NBCOMMENT} Commentaires{/COMMENTS}</div>\r\n		</td></tr></table>\r\n		</td>\r\n		<td></td>\r\n	</tr>\r\n	<tr>\r\n		<td colspan=4></td>\r\n	</tr>\r\n</table>', 'News');
INSERT INTO xtnews_templates VALUES ('b_mid', '<br><br>\r\n', 'Milieu de la page des News');
INSERT INTO xtnews_templates VALUES ('b_footer', '<br><br>\r\n<hr width=100>\r\n<br>\r\n<center>\r\n{ARCHIVES}Voir les Archives{/ARCHIVES}</center>\r\n<br><br>\r\n{FORMARCHIVES}\r\n</td></tr></table>\r\n				</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n      			<td height=1 colspan=3></td>\r\n    		</tr>\r\n  		</table>', 'Footer de la page des News');

DROP TABLE IF EXISTS xtnews_users;
CREATE TABLE xtnews_users (
  id int(11) NOT NULL auto_increment,
  user varchar(20) NOT NULL default '',
  email varchar(70) NOT NULL default '',
  mdp varchar(90) NOT NULL default '',
  admin tinyint(1) NOT NULL default '1',
  add_news tinyint(1) NOT NULL default '0',
  gest_news tinyint(1) NOT NULL default '0',
  gest_comments tinyint(1) NOT NULL default '0',
  censure tinyint(1) NOT NULL default '0',
  smileys tinyint(1) NOT NULL default '0',
  upload tinyint(1) NOT NULL default '0',
  add_admin tinyint(1) NOT NULL default '0',
  gest_aff tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS xtnews_words;
CREATE TABLE xtnews_words (
  id int(11) NOT NULL auto_increment,
  mot1 char(100) NOT NULL default '',
  mot2 char(100) NOT NULL default '',
  active tinyint(1) default '0',
  PRIMARY KEY  (id),
  KEY id (id)
) TYPE=MyISAM;
